Bug 1158980 - Corrupted background and lockscreen after resume from suspend
Summary: Corrupted background and lockscreen after resume from suspend
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 21
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 15:49 UTC by Andrei Amuraritei
Modified: 2015-12-02 16:27 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1742820 (view as bug list)
Environment:
Last Closed: 2015-12-02 04:36:43 UTC
Type: Bug


Attachments (Terms of Use)
Wallpaper garbage display (5.60 MB, image/png)
2014-10-30 15:49 UTC, Andrei Amuraritei
no flags Details
Lowres image wallpaper bug (337.18 KB, image/jpeg)
2014-10-30 15:58 UTC, Andrei Amuraritei
no flags Details
Background corrupted image (1.43 MB, image/png)
2015-03-02 08:35 UTC, adriano
no flags Details
Another background corrupted image (470.30 KB, image/png)
2015-03-02 08:37 UTC, adriano
no flags Details

Description Andrei Amuraritei 2014-10-30 15:49:10 UTC
Created attachment 952233 [details]
Wallpaper garbage display

Description of problem:
After resuming from suspend-to-ram, the gnome-shell lockshield background, and shell background is garbage, see attached pictures.

Version-Release number of selected component (if applicable):
gnome-shell 3.14.1.1

How reproducible:
Every time after resume from suspend.

Steps to Reproduce:
1. Suspend PC.
2. Resume from suspend.
3. See corrupted backgrounds.

Actual results:
Corrupted/garbled background for gnome-shell (wallpaper) and lockshield(lock screen wallpaper).

Expected results:
Should display normal lock shield background and gnome-shell background.

Additional info:
Fedora 21 x86_64 with NVIDIA GTX 570 card, this happens with both nouveau and nvidia 343.22 blob.

Comment 1 Andrei Amuraritei 2014-10-30 15:53:53 UTC
Forgot to mention that doing ALT+F2 and r restores the wallpapers to normal.
Also adding lower file size screenshot attachments.

Comment 2 Andrei Amuraritei 2014-10-30 15:58:41 UTC
Created attachment 952247 [details]
Lowres image wallpaper bug

Comment 3 Julian Sikorski 2014-11-30 10:14:01 UTC
xorg-x11-drv-nvidia-343.22-2.fc21.x86_64

Comment 4 ARno 2014-12-04 08:42:52 UTC
I confirm.
Reinitialising gnome-shell using alt-F2 -> r
temporary fix the problem.

Comment 5 Lars Damerow 2014-12-12 04:23:29 UTC
I see this as well, and alt-F2 -> r restores the images for me too.

Comment 6 Giulio A. 2014-12-13 13:06:39 UTC
Confirm the same bug. With NVIDIA GeForce GT 620 OEM.

Comment 7 Seth Jennings 2014-12-13 18:29:01 UTC
Same here.

Running 340.65 stable binary driver from NVidia on a GTX 660.

Comment 8 Ilja Sekler 2014-12-16 23:14:09 UTC
All NVIDIA binary driver versions are affected, see the upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=739178 for details.

Comment 9 Andrei Amuraritei 2014-12-18 01:04:07 UTC
I'd like to add that this is not only in Gnome, but I've got this with KDE also, but less frequently.

Comment 10 adriano 2015-01-17 22:41:26 UTC
I have the same problem.

My video card:
01:00.0 VGA compatible controller: NVIDIA Corporation GF119M [NVS 4200M] (rev a1)

My system version:
Linux localhost.localdomain 3.17.8-300.fc21.x86_64

Nvidia driver from rpmfusion
xorg-x11-drv-nvidia-343.36-1.fc21.x86_64

Comment 11 adriano 2015-03-02 08:35:11 UTC
Created attachment 996978 [details]
Background corrupted image

Comment 12 adriano 2015-03-02 08:37:06 UTC
Created attachment 996990 [details]
Another background corrupted image

different pattern (nice and creative bug!)

Comment 13 Florian Müllner 2015-03-21 15:32:58 UTC
This is a known problem of the proprietary nvidia driver, F22 will have a workaround for it when released.

Comment 14 Giulio A. 2015-04-22 18:27:01 UTC
It seems that now this bug is resolved in my F21 installation. Now background is correctly redrawn after suspend.

kernel-3.19.3-200.fc21.x86_64
kmod-nvidia-304xx-3.19.3-200.fc21.x86_64-304.125-3.fc21.3.x86_64
xorg-x11-drv-nvidia-304xx-304.125-1.fc21.x86_64

NVIDIA GeForce GT 620 OEM

Comment 15 Fedora End Of Life 2015-11-04 12:33:41 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-12-02 04:36:50 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.